<?php 
/********************************************************
  * Function Name: escapeSpecialCharacters
  * Purpose: Escapes special characters in a string for use in an SQL statement
  * $data   - array or text
  *******************************************************/
function escapeSpecialCharacters($data)
{
	//$data = trim($data);
	if (get_magic_quotes_gpc())
		return $data; //No need to escape data if magic quotes is turned on
	global $globalDbManager;
	$data = is_array($data) ? array_map('escapeSpecialCharacters', $data) : mysqli_real_escape_string($globalDbManager->dbConnect,trim($data));
    return $data;
}
/********************************************************
  * Function Name: unEscapeSpecialCharacters
  * Purpose: UnEscapes special characters in a string for use in an SQL statement
  * $data   - array or text
  *******************************************************/
function unEscapeSpecialCharacters($data)
{
	$data = is_array($data) ? array_map('unEscapeSpecialCharacters', $data) :stripslashes(trim($data));
    return $data;
}
/********************************************************
  * Function Name: unEscapeObjectSpecialCharacters
  * Purpose: UnEscapes special characters in a object for use in an SQL statement
  * $data   - Object
  *******************************************************/
function unEscapeObjectSpecialCharacters($data)
{
	if(is_array($data))
		array_map('unEscapeObjectSpecialCharacters',$data);
	if(is_object($data)){
		foreach($data as $key=>$value){
			$data->$key = stripslashes(trim($value));
		}
	}
	return $data;
}

function trimArray($data)
{
	$data = is_array($data) ? array_map('trimArray', $data) :trim($data);
    return $data;
}

function destroyPagingControlsVariables($prepend='') { //clear paging session variables
	unset($_SESSION[$prepend."orderby"]);
	unset($_SESSION[$prepend."ordertype"]);
	unset($_SESSION[$prepend."curpage"]);
	unset($_SESSION[$prepend."perpage"]);
}
//set paging session variables
function setPagingControlValues($default_field,$per_page,$prepend='') {
	if(isset($_POST['per_page']))
		$_SESSION[$prepend.'perpage'] = $_POST['per_page'];
	elseif(!isset($_SESSION[$prepend.'perpage']))
		$_SESSION[$prepend.'perpage'] = $per_page;
	
	if(isset($_POST['cur_page']))
		$_SESSION[$prepend.'curpage'] = $_POST['cur_page'];
	elseif(!isset($_SESSION[$prepend.'curpage']))
		$_SESSION[$prepend.'curpage'] = 1;
	
	if(isset($_POST['order_by']))
		$_SESSION[$prepend.'orderby'] = $_POST['order_by'];
	elseif(!isset($_SESSION[$prepend.'orderby']))
		$_SESSION[$prepend.'orderby'] = $default_field;
	
	if(isset($_POST['order_type']))
		$_SESSION[$prepend.'ordertype'] = $_POST['order_type'];
	elseif(!isset($_SESSION[$prepend.'ordertype']))
		$_SESSION[$prepend.'ordertype'] = 'DESC';
}
// Display paging control
//Input : no. of records and URL
function pagingControl1($nrecords,$action='',$prepend='')
{
	$perpage = $_SESSION[$prepend.'perpage'];
	$curpage = $_SESSION[$prepend.'curpage'];
	$paging_html = '<table cellspacing="0" cellpadding="0" width="100%" border="0" align="center">
	<tr>
	<td align="center" class="paging">';
	if ($action == '')
		$action = $_SERVER['SCRIPT_NAME']; ?>
	<form name="paging" id="paging" method="post" action="<?php echo($action);?>"  >
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'curpage']);?>" name="cur_page" id="cur_page">
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'orderby']);?>" name="order_by" id="order_by">
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'ordertype']);?>" name="order_type" id="order_type">
		<?php if ($nrecords > $perpage)
		{
			$first = 1;
			$prev = $curpage - 1;
			$previous_on 	= '<img src="'.ADMIN_IMAGE_PATH.'previous_on.png" hspace="5" vspace="5"  border="0">';
			$previous_off 	= '<img src="'.ADMIN_IMAGE_PATH.'previous_off.gif" hspace="5" vspace="5" border="0">';
			$next_on 	    = '<img src="'.ADMIN_IMAGE_PATH.'next_on.png" hspace="5" vspace="5" border="0">';
			$next_off	    = '<img src="'.ADMIN_IMAGE_PATH.'next_off.gif" hspace="5" vspace="5" border="0">';
			$first_on	    = '<img src="'.ADMIN_IMAGE_PATH.'first_on.png" hspace="5" vspace="5" border="0">';
			$first_off	    = '<img src="'.ADMIN_IMAGE_PATH.'first_off.gif" hspace="5" vspace="5" border="0">';
			$last_on		= '<img src="'.ADMIN_IMAGE_PATH.'last_on.png" hspace="5" vspace="5"  border="0">';
			$last_off	    = '<img src="'.ADMIN_IMAGE_PATH.'last_off.gif" hspace="5" vspace="5" border="0">';

			$paging_html .= "<table cellpadding='0' cellspacing='0' border='0' align='center'> <tr>";
			if ($curpage != '1')
				$paging_html .= " <td> <a href='#' title='Show first page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$first.");\"><b class='firon'>$first_on</b></a></td> <td width='5'></td>";
			else 
				$paging_html .= " <td><b class='firoff'>$first_off</b> </td><td width='5'></td>";
			if ($curpage != '1')	
				$paging_html .= "<td> <a href='#' title='Show previous page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$prev.");\"><b class='preon'>$previous_on</b></a> </td> <td width='5'></td>";
			else
				$paging_html .=  " <td><b class='preoff'>$previous_off</b> </td> <td width='5'></td>";
			if ($nrecords > $perpage){
				$page_cal = 10;
				if ($curpage < $page_cal)
					$lstart = 1;
				else
					$lstart = $curpage - 2;
				//$lstart = 1;
				$lend = floor($nrecords / $perpage);
				if (($nrecords % $perpage) > 0)
					$lend = $lend + 1;
				$last = $lend;
				if ($curpage < $lend)
					$next = $curpage + 1;
				else
					$next = $lend;
				if ($lend > 10)	{
					$c = 0; $t = 0;
					if ($lstart >= 8)
					$lstart = $lstart - 6;
					if (($curpage == ($lend - 1)) || ($curpage == $lend)) // Last page and its previous
					{
						$lstart = $lend - 9;
						$paging_html .=  "<td ><a href='#' title='Show page 1'   onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',1);\">1</a></td> <td width='5'></td>";
						$paging_html .= "<td >...&nbsp;&nbsp;</td>";
					}
					for ($i=$lstart;$i<=$lend;$i++){
						if ($lstart >= ($lend - 9))
						{
							if ($i == $lstart)
								$paging_html .=  "<td width='5' align='center' ><a href='#' title='Show page $i'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></td> <td width='5'></td>";
							else if ($i == $curpage)
								$paging_html .=   "<td style='color:#C62032' class='active'><b>".$i."</b>&nbsp;&nbsp;</td>";
							else if ($c < $page_cal)
								$paging_html .=  "<td  width='5' align='center'><a href='#'  title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></td> <td width='5'></td>";
						}
						else
						{
							if ($i == $curpage)
								$paging_html .= "<td style='color:#C62032'  class='active'><b>".$i . "</b>&nbsp;&nbsp;</td>";
							else if ($c < $page_cal)
								$paging_html .=  "<td width='5' align='center'  ><a href='#' title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></td> <td width='5'></td>";
							else if ($t == 0)
							{
								$t = 1;
								$paging_html .= "<td >...&nbsp;&nbsp;</td>";
								$paging_html .=  "<td  width='5' align='center' ><a href='#' title='Show page $lend' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($lend).");\">".$lend."</a></td> <td width='5'></td>";
							}
							$c++;
						}
						if ($t == 1)
							break;
					}//end for
				}//end if
				else
				{
					for($i=$lstart;$i<=$lend;$i++){
						if ($curpage == $i)
							$paging_html .=  "<td  style='color:#C62032' class='active'><b>".$i."</b></td> <td width='5'></td>";
						else
							$paging_html .=  "<td  ><a href='#' title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></td> <td width='5'></td>";
					}
				}
			}
			if ($curpage == $lend)
				$paging_html .= " <td> <b class='nextoff'>$next_off</b> </td><td width='5'></td>";
			else
				$paging_html .= " <td ><a href='#' title='Show next page'   onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$next.");\"> <b class='nexton'>$next_on</b></a></td><td width='5'></td> ";
			if ($last != $curpage)
				$paging_html .= "<td > <a href='#' title='Show last page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$last.");\"><b class='laston'>$last_on</b></a></td><td width='5'></td> ";
			else
				$paging_html .= " <td ><b class='lastoff'>$last_off</b></td> <td width='5'></td>";
			$paging_html.="</tr>	</table></td>";
		}
		echo $paging_html;

		// display per page
		/* if(stristr($_SERVER['REQUEST_URI'], '/Manage/')){  */ ?>
		<td align="right" class="record">
		<?php $per_page_array =  eval(ADMIN_PER_PAGE_ARRAY);
		if($nrecords > $per_page_array[0]){ ?>
			<strong>Per Page&nbsp;&nbsp;</strong>			
			<select name="per_page" id="per_page" onchange="setPerPage(this.value);" class="per_page">
			<?php foreach($per_page_array as $value){?>
				<option value="<?php echo($value);?>" <? if($perpage == $value) echo " selected='selected'"?>><?php echo($value);?></option>
			<?php }?>
			</select>	
		<?php }?>
		</td>
		<!-- <?php //} ?> -->
		</tr></table>
	</form>
<?php 
}

function pagingControl($nrecords,$action='',$prepend='')
{
	$perpage = $_SESSION[$prepend.'perpage'];
	$curpage = $_SESSION[$prepend.'curpage'];
	if ($nrecords > $perpage)
		$paging_html = '<div class="paging">';
	else
		$paging_html = '<div class="paging no-paging">';
	if ($action == '')
		$action = $_SERVER['SCRIPT_NAME'];  ?>
	<form name="paging" id="paging" method="post" action="<?php echo($action);?>"  >
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'curpage']);?>" name="cur_page" id="cur_page">
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'orderby']);?>" name="order_by" id="order_by">
		<input type="Hidden" value="<?php echo($_SESSION[$prepend.'ordertype']);?>" name="order_type" id="order_type">
		<?php if ($nrecords > $perpage)
		{
			$first = 1;
			$prev = $curpage - 1;
			$previous_on 	= '<img src="'.ADMIN_IMAGE_PATH.'previous_on.png" hspace="5" vspace="5"  border="0">';
			$previous_off 	= '<img src="'.ADMIN_IMAGE_PATH.'previous_off.gif" hspace="5" vspace="5" border="0">';
			$next_on 	    = '<img src="'.ADMIN_IMAGE_PATH.'next_on.png" hspace="5" vspace="5" border="0">';
			$next_off	    = '<img src="'.ADMIN_IMAGE_PATH.'next_off.gif" hspace="5" vspace="5" border="0">';
			$first_on	    = '<img src="'.ADMIN_IMAGE_PATH.'first_on.png" hspace="5" vspace="5" border="0">';
			$first_off	    = '<img src="'.ADMIN_IMAGE_PATH.'first_off.gif" hspace="5" vspace="5" border="0">';
			$last_on		= '<img src="'.ADMIN_IMAGE_PATH.'last_on.png" hspace="5" vspace="5"  border="0">';
			$last_off	    = '<img src="'.ADMIN_IMAGE_PATH.'last_off.gif" hspace="5" vspace="5" border="0">';

			$paging_html .= "<ul class='pagination'>
	";
			if ($curpage != '1')
				$paging_html .= " <li> <a href='#' title='Show first page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$first.");\"><b>$first_on</b></a></li>";
			else 
				$paging_html .= " <li><b>$first_off</b></li>";
			if ($curpage != '1')	
				$paging_html .= "<li> <a href='#' title='Show previous page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$prev.");\"><b>$previous_on</b></a> </li> ";
			else
				$paging_html .=  " <li valign='top'><b>$previous_off</b> </li>";
			if ($nrecords > $perpage){
				$page_cal = 5; // 10
				if ($curpage < $page_cal)
					$lstart = 1;
				else
					$lstart = $curpage - 2;
				//$lstart = 1;
				$lend = floor($nrecords / $perpage);
				if (($nrecords % $perpage) > 0)
					$lend = $lend + 1;
				$last = $lend;
				if ($curpage < $lend)
					$next = $curpage + 1;
				else
					$next = $lend;
				if ($lend > 10)	{
					$c = 0; $t = 0;
					if ($lstart >= 3) //$lstart >= 8
					$lstart = $lstart - 1;//$lstart - 6
					if (($curpage == ($lend - 1)) || ($curpage == $lend)) // Last page and its previous
					{
						$lstart = $lend - 4; //$lend - 9
						$paging_html .=  "<li><a href='#' title='Show page 1'   onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',1);\">1</a></li> ";
						
					}
					for ($i=$lstart;$i<=$lend;$i++){
						if ($lstart >= ($lend - 4)) //$lend - 9
						{
							if ($i == $lstart) {
								$paging_html .= "<li>...</li>";
								$paging_html .=  "<li width='5' align='center' ><a href='#' title='Show page $i'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></li> ";
							} else if ($i == $curpage)
								$paging_html .=   "<li style='color:#C62032' ><b>".$i."</b>&nbsp;&nbsp;</li>";
							else if ($c < $page_cal)
								$paging_html .=  "<li  width='5' align='center' ><a href='#'  title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></li>";
						}
						else
						{
							if ($i == $curpage)
								$paging_html .= "<li style='color:#C62032'><b>".$i . "</b>&nbsp;&nbsp;</li>";
							else if ($c < $page_cal)
								$paging_html .=  "<li><a href='#' title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></li>";
							else if ($t == 0)
							{
								$t = 1;
								$paging_html .= "<li>...</li>";
								$paging_html .=  "<li  width='5' align='center' ><a href='#' title='Show page $lend' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($lend).");\">".$lend."</a></li>";
							}
							$c++;
						}
						if ($t == 1)
							break;
					}//end for
				}//end if
				else
				{
					for($i=$lstart;$i<=$lend;$i++){
						if ($curpage == $i)
							$paging_html .=  "<li  style='color:#C62032'><b>".$i."</b></li> ";
						else
							$paging_html .=  "<li  ><a href='#' title='Show page $i' onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".($i).");\">".$i."</a></li>";
					}
				}
			}
			if ($curpage == $lend)
				$paging_html .= " <li > <b>$next_off</b> </li>";
			else
				$paging_html .= " <li ><a href='#' title='Show next page'   onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$next.");\"> <b>$next_on</b></a></li>";
			if ($last != $curpage)
				$paging_html .= "<li > <a href='#' title='Show last page'  onclick=\"javascript:setPagingControlValues('".$_SESSION[$prepend.'orderby']."','".$_SESSION[$prepend.'ordertype']."',".$last.");\"><b>$last_on</b></a></li>";
			else
				$paging_html .= " <li ><b>$last_off</b></li>";
			$paging_html.="</ul>";
		}
		echo $paging_html;?>
		</div>
		<div  class="per_page">
		<?php $per_page_array =  eval(ADMIN_PER_PAGE_ARRAY);
		if($nrecords > $per_page_array[0]){ ?>
			<strong>Per Page </strong>
			<select name="per_page" id="per_page" onchange="setPerPage(this.value);" style="width:52px;">
			<?php foreach($per_page_array as $value){?>
				<option value="<?php echo($value);?>" <?php if($perpage == $value) echo " selected='selected'"?>><?php echo($value);?></option>
			<?php }?>
			</select>	
		<?php }?>
		</div>
	</form>
<?php }

function getCurrPage()
{
	$page = substr(strrchr($_SERVER['REQUEST_URI'], '/'), 1);
	$page=explode('?',$page);
	if(is_array($page))
		$page=$page[0];
	return $page;
}
// get file name from url
function getPageFromLink($link='')
{
	if(trim($link) == '') return false;
	$page = substr(strrchr($link, '/'), 1);
	$page=explode('?',$page);
	if(is_array($page))
		$page=$page[0];
	return $page;
}


/********************************************************
  * Function Name: checkForPhoto
  * Purpose: Checks the file type
  * Paramters :
  *			$files  			- File details array
  * 		$file_types_array  	- Static file types array defined in config
  *			$image_path			- Relative path of folder where going to write our images
  * Output : Returns string as error message.
  *******************************************************/

function checkForPhoto($files,$file_name,$image_path)
{
	$type_error = 'Upload any of jpg, png or jpeg image.';
	$file_type_array 	=	array(  "1"=>"image/jpeg",
								 	"2"=>"image/pjpeg",
								 	"4"=>"image/png");
	$error = '';
	$error_flag = 0;
	if ($files["$file_name"]['name'] != '') {
		if ($files["$file_name"]['name'] != '') {
			$file_size	= round($files["$file_name"]['size'] / 1048576, 2);	//	1048576	-	(1024 * 1024)
			if (!in_array($files["$file_name"]['type'], $file_type_array)) {
				$error = $type_error;
			}
			else if( $file_size > 2) { //15
				$error = 'Image size should not be greater than 2 MB';
                                $error_flag = 1;
			} /* else if(!is_writable($image_path)) {
                                $error = 'The image folder is write protected. Try again';
                                $error_flag = 1;
                        } */
		}
	}
	else
		$error = $type_error;
	return $error;
}

/********************************************************
  * Function Name : deleteFile
  * Purpose       : Delete file
  * $path         - file path
  *******************************************************/
function deleteFile($path) {
	if (file_exists($path)) { 
		unlink($path);
		clearstatcache();
	}
}

//Begin: Send E-Mail
//$type = 1 User Registration
//$type = 2 forgot password mail
function sendMail($mailContentArray,$type)
{
	
	if(is_array($mailContentArray))
	{
		$heardFrom		= 	'';
		$message		=	'';
		$from 	  		=   $mailContentArray['from'];
		$toMail   		=   $mailContentArray['toemail'];
		$subject		= 	"App : ".$mailContentArray['subject'];
		
		$headers  		 = 	"MIME-Version: 1.0\n";
		$headers 		.= 	"Content-Transfer-Encoding: 8bit\n";
		$headers 		.= 	"From: $from\r\n";
		$headers 		.= 	"Content-type: text/html;charset=ISO-8859-1\r\n";
		$site_link_path	=	SITE_PATH.'/';
		$file_name       = 'WebResources/MailTemplates/'.$mailContentArray['fileName'];
		if(!is_file($file_name))
			$file_name  =  '../'.$file_name;
		$mail_data 		= 	file_get_contents($file_name);
		$user_mail_data = $mail_data;
		$file_array = explode('/',$mailContentArray['fileName']);
		$type_array = end($file_array);
		$type_extn = explode('.',$type_array);
		if($type == 1){
			//$mail_data 			=	str_replace('{IMAGE_PATH}', IMAGE_PATH, $mail_data);
			$mail_data 			=	str_replace('{NAME}',$mailContentArray['first_name'], $mail_data);
			//$mail_data 			=	str_replace('{LAST_NAME}',$mailContentArray['last_name'], $mail_data);
			//$mail_data 			=	str_replace('{EMAIL}',$mailContentArray['from'], $mail_data);
			//$mail_data 			=	str_replace('{PASSWORD}',$mailContentArray['password'], $mail_data);
		} 
		else if($type == 2){
			$mail_data 			=	str_replace('{RESET_LINK}',$mailContentArray['reset_link'], $mail_data);
			//$mail_data = $mailContentArray['mail_data'];
		}
		//echo $mail_data;
		if(mail($toMail, $subject,$mail_data,$headers))
			return true;
		else 
			return false;
	  }
}

// call image resize script
function resizeImage($temp_file,$upload_path='',$width,$height){
	$image = new SimpleImage();
	$image->load($temp_file);
	$image->customResize($width,$height);
	if($upload_path != '')
		$image->save($upload_path);
}
function createUploadDirectory($upload_path,$permission=0777,$recursive=false){
	//echo $upload_path.'<br>'.$permission.'<br>'.$recursive;//die();
	if ( !is_dir($upload_path) ){
		if(mkdir ($upload_path, $permission, $recursive)){ // create recursive directory
			return true;
		}else{
			return false;
		}
	}else{
		
		//echo 'error in folder creation';die();
	}
}

function getFilePath($file_path,$file_name,$ext='',$size_array=array()){
	$exntension = array('jpg','png','jpeg');
	if($ext==''){
		foreach($size_array as $size){
			$name = ($size!='')?($file_name.'_'.$size):$file_name;
			foreach($exntension as $exten){
				if(file_exists($file_path.$name.'.'.$exten))
					return $name.'.'.$exten;
			}
			
		}
	}
	else{
		foreach($size_array as $size){
			$name = ($size!='')?($file_name.'_'.$size):$file_name;
			if(file_exists($file_path.$name.'.'.$ext))
				return $name.'.'.$ext;
		}
	}
}

function move_folder($old_path,$new_path) { 
	
	$dir = opendir($old_path); 
	@mkdir($new_path); 
	while($dir && false !== ( $file = readdir($dir)) ) { 
		if (( $file != '.' ) && ( $file != '..' )) { 
			if ( is_dir($old_path . '/' . $file) ) { 
				move_folder($old_path . '/' . $file,$new_path . '/' . $file); 
			} 
			else { 
				copy($old_path . '/' . $file,$new_path . '/' . $file); 
			} 
		} 
	}
	closedir($dir); 
	if (file_exists ( $old_path ))
		remove_dir ( $old_path );
}

function move_file($old_path,$new_path,$filename) { 
	
	$dir = opendir($old_path); 
	/* @mkdir($new_path); 
	while($dir && false !== ( $file = readdir($dir)) ) { 
		if (( $file != '.' ) && ( $file != '..' )) { 
			if ( is_dir($old_path . '/' . $file) ) { 
				move_folder($old_path . '/' . $file,$new_path . '/' . $file); 
			} 
			else {  */
				copy($old_path . '/' . $filename,$new_path . '/' . $filename); 
			/* } 
		} 
	} */
	closedir($dir); 
	if (file_exists ( $old_path.$filename ))
		deleteFile( $old_path.$filename );
}

// Function to remove folders and files 
function remove_dir($dir) {
	if (is_dir($dir)) {
		$files = scandir($dir);
		foreach ($files as $file)
			if ($file != "." && $file != "..") remove_dir("$dir/$file");
		rmdir($dir);
	}
	else if (file_exists($dir)) unlink($dir);
}


function deleteFiles($file_path,$file_name,$size_array=array(),$type=1){
	$exntension = array('jpg','png','jpeg');
	if($type==2)
		$exntension = array("pdf","doc","docx","xls","xlsx","ppt","pptx","csv","gif","png","jpg","jpe","jpeg","txt","msg");

	foreach($size_array as $size){
		$name = ($size!='')?($file_name.'_'.$size):$file_name;
		foreach($exntension as $ext){
			if(file_exists($file_path.$name.'.'.$ext))
				deleteFile($file_path.$name.'.'.$ext);
		}
	}
}

function check($var) {
	if ((isset($_POST[$var])) && (trim($_POST[$var]) != '')) return true;
	return false;
}

function getOauthSetup(){
	$dsn      = 'mysql:dbname='.DB_NAME.';host='.DB_HOST;
	$username = DB_USER;
	$password = DB_PASSWORD;

	// error reporting (this is a demo, after all!)
	//ini_set('display_errors',1);error_reporting(E_ALL);

	// Autoloading (composer is preferred, but for this example let's just do this)
	require_once('oauth2-server-php/src/OAuth2/Autoloader.php');
	OAuth2\Autoloader::register();

	// $dsn is the Data Source Name for your database, for exmaple "mysql:dbname=my_oauth2_db;host=localhost"
	$storage = new OAuth2\Storage\Pdo(array('dsn' => $dsn, 'username' => $username, 'password' => $password));

	// Pass a storage object or array of storage objects to the OAuth2 server class
	$server = new OAuth2\Server($storage);

	// Add the "Client Credentials" grant type (it is the simplest of the grant types)
	$server->addGrantType(new OAuth2\GrantType\ClientCredentials($storage));

	// Add the "Authorization Code" grant type (this is where the oauth magic happens)
	$server->addGrantType(new OAuth2\GrantType\AuthorizationCode($storage));

	$returnArray['server']	=	$server;
	$returnArray['storage']	=	$storage;
	return $returnArray;
}

function getAccessToken(){
	$oauth = getOauthSetup();
	$server = $oauth['server'];
	$_POST['client_id']		= 'testclient';
	$_POST['client_secret']	= 'testpass';
	$_POST['grant_type']	= 'client_credentials';

	// Handle a request for an OAuth2.0 Access Token and send the response to the client
	$token = $server->handleTokenRequest(OAuth2\Request::createFromGlobals());//->send();
	return $token;//->send();
}

function getAuthorizeToken($userId = 0)	{
	$oauth			=	getOauthSetup();
	$server			=	$oauth['server'];
	$storage		=	$oauth['storage'];
	$request 		=	OAuth2\Request::createFromGlobals();
	$response 		=	new OAuth2\Response();

	// validate the authorize request
	if (!$server->validateAuthorizeRequest($request, $response)) {
		$response->send();
		die;
	}
	
	$is_authorized = true;
	$server->handleAuthorizeRequest($request, $response, $is_authorized, $userId);
	
	if ($is_authorized) {
	  // this is only here so that you get to see your code in the cURL request. Otherwise, we'd redirect back to the client
		$code = substr($response->getHttpHeader('Location'), strpos($response->getHttpHeader('Location'), 'code=')+5, 40);
		$_POST['code']			=	$code;
		$_POST['grant_type']	=	'authorization_code';
		$_POST['client_id']		=	CLIENT_ID;
		$_POST['client_secret']	=	CLIENT_SECRET;
		
		// $server->handleTokenRequest(OAuth2\Request::createFromGlobals())->send(); 
		$info	=	$server->handleTokenRequest(OAuth2\Request::createFromGlobals()); 
		//$info->send();
		return $info;
	}
	$response->send();
	
}

function validateToken(){
	$returnArray	=	getOauthSetup();
	$server			=	$returnArray['server'];
	$storage		=	$returnArray['storage'];
	if (!$server->verifyResourceRequest(OAuth2\Request::createFromGlobals())) {
		/* $server->getResponse()->send();
		die; */
		return false;
	}
	$token = $server->getAccessTokenData(OAuth2\Request::createFromGlobals());
	//echo json_encode(array('success' => true, 'message' => 'You accessed my APIs!'));
	return $token;
}

function geRefreshToken()	{
		
	$returnArray	=	getOauthSetup();
	$server			=	$returnArray['server'];
	$storage		=	$returnArray['storage'];
	
	// create the grant type
	// $grantType = new OAuth2\GrantType\RefreshToken($storage);
	$grantType = new OAuth2\GrantType\RefreshToken($storage, array(
		'always_issue_new_refresh_token' => true
	));

	// add the grant type to your OAuth server
	$server->addGrantType($grantType);
	
	// Handle a request for an OAuth2.0 Access Token and send the response to the client
	return $server->handleTokenRequest(OAuth2\Request::createFromGlobals());//->send();
	
}
?>
