<?php
	if (!session_id()) session_start();
	if(!isset($_SESSION['admin_id'])) {
		header('Location:index.php');
		die();
	}
	require_once('Includes/AdminCommonIncludes.php');
    require_once('Controllers/AdminController.php');
    require_once('Controllers/UnpublishedController.php');
    $UnpublishedControllerObj = new UnpublishedController();

	$page_title 	= '';
	$description 	= '';
	$month 			= '';
	$year 			= '';
	
	if(isset($_GET['month']) && !empty($_GET['month'])) $month = $_GET['month'];
	if(isset($_GET['year']) && !empty($_GET['year'])) $year = $_GET['year'];
	
	$current_pub_month = $UnpublishedControllerObj->getCurrentPubMonth();
	$current_pub_month = $current_pub_month[0];
	
	$archived_months = $UnpublishedControllerObj->getArchivedMonths();
	$arch_months = array();
	foreach($archived_months as $arch_key=>$arch_val){
		$arch_months[] = $arch_val->month;
	}
	
	if(isset($_GET['edit_id']) && $_GET['edit_id'] != ''){
		$page_details = $UnpublishedControllerObj->getPageDetails($_GET['edit_id']);
		$page_details = $page_details[0];
		$page_id 		= $page_details->p_id;
		$page_title 	= $page_details->title;
		$description 	= $page_details->description;
		$month 			= $page_details->month;
		$year 			= $page_details->year;
		$page_number 	= $page_details->page_number;
		$created_year			= date('Y',strtotime($page_details->date_created));
		/* $address1 		= $page_details->church_address1;
		$address2 		= $page_details->church_address2;
		$city 			= $page_details->church_city;
		$state 			= $page_details->church_state;
		$zip_code 		= $page_details->church_zip; */
	}
	
	if(isset($_POST['add_submit'])){
		
		$add_result = $UnpublishedControllerObj->addPage($_POST);
		
		if($add_result){
			header("Location:pages-list?cs=1&add_msg=1&month=".$_POST['month']."&published=0&year=".$_POST['year']);
		}else{
			echo $msg="Page is not added.";
		}
	}
	
	if(isset($_POST['edit_submit'])){
		$edit_result = $UnpublishedControllerObj->updatePage($_POST,$_GET['edit_id']);
		if($edit_result){
		header("Location:pages-list?cs=1&up_msg=1&month={$month}&year={$year}");
		}else{
			echo $msg="Page is not Updated.";
		}
	}
	
	headerInclude();
?>
<div class="pastor_list">
	<article>
	 <div id="content">
		<form id="page_form" name="page_form" method="POST" enctype='multipart/form-data'>
			<table cellpadding="10" cellspacing="10" border="0" width="100%">
				<tr>
					<th width="10%" valign="top">Publishing Year <span style="color:red" >*</span></th>
					<td width="3%" valign="top">:</td>
					<td>
						<select name="year" width="20%" required id="year" <?php if(isset($_GET['edit_id'])) echo "disabled"; ?>>
							<option value="">Select year</option>
						<?php
							$current_year = date('Y');
							$end_year	  = $current_year + 5;	
							for($key = $current_year; $key < $end_year; $key++){
									echo "<option ".(($key == $year)? 'selected' : '')." value=".$key.">".$key."</option>";
							}
						?>
						</select>
						<?php if(isset($_GET['edit_id']) && !empty($_GET['edit_id'])) { ?>
						<input type="hidden" name="year" id="year" value="<?php echo $year;?>">
						<?php } ?>
						<div class="height20">
							<div id="month_msg_container"  style="display:none;"><div id="month_msg" class="error_msg"></div></div>
						</div>
					</td>
				</tr>
				<tr>
					<th width="10%" valign="top">Publishing Month <span style="color:red" >*</span></th>
					<td width="3%" valign="top">:</td>
					<td>
						<select name="month" width="20%" required id="month" <?php if(isset($_GET['edit_id'])) echo "disabled"; ?>>
							<option value="">Select month</option>
						<?php
							foreach(eval(MONTH_ARRAY) as $key=>$val){
								// if($key != $current_pub_month->month && !in_array($key,$arch_months))
									echo "<option ".(($key == $month)? 'selected' : '')." value=".$key.">".$val."</option>";
							}
						?>
						</select>
						<?php if(isset($_GET['edit_id']) && !empty($_GET['edit_id'])) { ?>
						<input type="hidden" name="month" id="month" value="<?php echo $month;?>">
						<?php } ?>
						<div class="height20">
							<div id="month_msg_container"  style="display:none;"><div id="month_msg" class="error_msg"></div></div>
						</div>
					</td>
				</tr>
				
				<tr><td height="5"></td></tr>
				<tr>
					<th width="10%" valign="top">Magazine Title <span style="color:red" >*</span></th>
					<td width="3%" valign="top">:</td>
					<td>
						<input type="text" name="page_title" id="page_title" placeholder="Page Title" required maxlength="100" value="<?php echo $page_title; ?>">
						<div class="height20">
							<div id="page_title_msg_container"  style="display:none;"><div id="page_title_msg" class="error_msg"></div></div>
						</div>
					</td>
				</tr>
				<tr><td height="5"></td></tr>
				<tr>
					<th  valign="top">Description </th>
					<td  valign="top">:</td>
					<td>
						<textarea name="description" id="description" placeholder="Description"><?php echo $description; ?></textarea>
						<div class="height20">
							<div id="description_msg_container"  style="display:none;"><div id="description_msg" class="error_msg"></div></div>
						</div>
					</td>
				</tr>
				<tr><td height="5"></td></tr>
				<tr class="img_upload">
					<th valign="top">Image <span style="color:red" >*</span></th>
					<td valign="top">:</td>
					<td>
						<?php
						if(isset($_GET['edit_id']) && $_GET['edit_id'] != ''){
						?>
						<!--<div class="image-edit">
							<?php 

							$img_path = SITE_PATH.'uploads/'.$year.'/'.$month."/content/medium/page".$page_number.".jpg";
							// echo $img_path;
							// showImageTemplate($img_path,'Click to edit');
							?>
						</div>-->
						<?php
						}
						// imageCropTemplate();
						?>
						<style>
							.uploader {position:relative; overflow:hidden; width:300px; height:350px; background:#f3f3f3; border:2px dashed #e8e8e8;}

							#image_input{
								position:absolute;
								width:300px;
								height:400px;
								top:-50px;
								left:0;
								z-index:2;
								opacity:0;
								cursor:pointer;
							}

							.uploader img{
								position:absolute;
								width:302px;
								height:352px;
								top:-1px;
								left:-1px;
								z-index:1;
								border:none;
							}
						</style>
						<!-- Begins image cropping -->
						<div class="image-crop uploader" >
							Click here or drag here your images for preview.
							<img src="<?php if(isset($img_path)) echo $img_path; ?>" style="<?php if(!isset($_GET['edit_id'])){ ?>display:none;<?php } ?>">
							<input type="file" name="image_input" id="image_input" class="cropit-image-input" >
							<div class="height20">
								<div id="image_input_msg_container"  style="display:none;"><div id="image_input_msg" class="error_msg"></div></div>
							</div>
						</div>
						<div><i>Please upload a image with ratio more than 841 x 1298<i></div>
						<!-- Ends image cropping -->

					</td>
				</tr>
				<tr><td height="15"></td></tr>
				<tr>
					<td colspan="2"></td>
					<td>
						<input type="hidden" id="errorFlag" name="errorFlag" value="0">
						<?php
						if(isset($_GET['edit_id']) && $_GET['edit_id'] != ''){
						?>	
							<input type="hidden" name="page_number" id="page_number" value="<?php echo $page_number; ?>">
							<input type="submit" name="edit_submit" id="edit_submit" value="Update">
						<?php
						}else{
						?>
							<input type="submit" name="add_submit" id="add_submit" value="Add">
						<?php
						}
						?>
						<?php if(!empty($month)) { ?>
							<a href="pages-list?month=<?php echo $month; ?>&year=<?php echo $year; ?>" class="submit_button back-btn">Back</a>
						<?php } else { ?>
							<a href="unpublished-list?cs=1" class="submit_button back-btn">Back</a>
						<?php } ?>
					</td>
				</tr>
			</table>
		</form>
	   </div>
	</article>
</div>
 <?php footerInclude(); ?>