var email_regx		=	/^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-Z0-9]{2,4}$/;

$(document).ready(function(){
	$('input,select,textarea').on('keyup',function(){
		$(this).css('border-color','');
	});
	
	//Begin: validate login form when form is submitted
	$("#loginform").submit(function(){
		var username		= 	$("#username"),
		password			=	$("#password") ,
		field_focus			=	'',
		allContainerArray 	=	new Array('username_msg','password_msg','validate_msg');
		allFields 			=	$([]).add(username).add(password);
		allFields.removeClass('ui-state-error'); //Remove error class if any
		hideDomElement(allContainerArray); //Hide all error message container
		$("#errorFlag").val(0);
		checkBlank(username,"Username", "username_msg");
		if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
			field_focus = username;
		checkBlank(password,"Password", "password_msg");
		if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
			field_focus = password;
		if ( $("#errorFlag").val() == 1) {
			checkandSetFieldFocus();
			return false;  
		}
		else {	
			return true;
		}
	});
	//End: login validation
	
	//Begin: validate settings form when form is submitted
	$("#settings_form").submit(function(){
		var old_password		= 	$("#old_password"),
		new_password			=	$("#new_password"),
		confirm_password			=	$("#confirm_password"),
		email					=	$('#email');
		var field_focus			=	'',
		allContainerArray 	=	new Array('old_password_msg','new_password_msg','confirm_password_msg','email_msg');
		allFields 			=	$([]).add(old_password).add(new_password).add(confirm_password).add(email);
		allFields.removeClass('ui-state-error'); //Remove error class if any
		hideDomElement(allContainerArray); //Hide all error message container
		$("#errorFlag").val(0);
		
		if(!checkRegexp(email, email_regx, 'Invalid Email','email_msg'))
			$('#errorFlag').val(1)
		if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
				field_focus = email;

		if(old_password.val() != '' || new_password.val() != '' || confirm_password.val() != ''){
			
			if(checkBlank(old_password,"Old Password", "old_password_msg")){
				if(old_password.val().length < 5){
					updateTips('The password should have minimum 5 characters.','old_password_msg',old_password);
					$('#errorFlag').val(1);
				}
			}
			if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
				field_focus = old_password;
			if(checkBlank(new_password,"New Password", "new_password_msg")){
				if(new_password.val().length < 5){
					updateTips('The password should have minimum 5 characters.','new_password_msg',new_password);
					$('#errorFlag').val(1);
				}
			}
			if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
				field_focus = new_password;
			
			if(checkBlank(confirm_password,"Confirm Password", "confirm_password_msg")){
				if(confirm_password.val().length < 5){
					updateTips('The password should have minimum 5 characters.','confirm_password_msg',confirm_password);
					$('#errorFlag').val(1);
				}
				if(new_password.val() != confirm_password.val()){
					updateTips('The confirm password should match new password.','confirm_password_msg',confirm_password);
					$('#errorFlag').val(1);
				}
			}
			if ( ($("#errorFlag").val() == 1) && (field_focus == ""))  
				field_focus = confirm_password;
			
		}
		
		if ( $("#errorFlag").val() == 1) {
			checkandSetFieldFocus();
			return false;  
		}
		else {
			return true;
			}
	});
	//End: settings validation
});